# All Classes and Interfaces

Class
Description
CdfIntegration
Constants
CsvReader<T>
CsvSchema<T>
CsvWriter
DistanceEstimation
DistanceEstimationMethod
DistanceEstimator
This class calculates the distance estimation for a given star.
DistanceEstimator.EstimationType
Edsd
Calculates quantities related to the Exponentially Decreasing Space Density prior for estimating distances from parallaxes.
EpochTransformation
Propagates the 6-dimensional vector of barycentric astrometric parameters and the associated covariance matrix from one epoch to another assuming uniform space motion
ExpDecrVolumeDensityDEM
Function
Defines a univariate function.
FuncUtils
Utility methods associated with functions.
GVector3d
Class representing a three-dimensional vector in Eucledian space.
HaywoodExpDecrVolumeDEM
HaywoodSmithTransformation
HaywoodUniformDistanceDEM
Integral
Performs indefinite numerical integration using an adaptive Simpson's rule.
LosExpDecrVolumeDensityDEM
NumericFunction
Provides an ordered set of (x,y) samples from a function.
ParallaxProcessor
This class processes all the entries in an input file and stores the results in an output file.
PDF
PolinomialSolver
PolynomialFunction
Immutable representation of a real polynomial function with real coefficients.
PolynomialSplineFunction
Represents a polynomial spline function.
SplineInterpolator
Computes a natural (also known as "free", "unclamped") cubic spline interpolation for the data set.
StarVariables
StarVariablesCsvReader
StarVariablesCsvSchema
Statistics
Test2CsvSchema
TestCsvSchema
UniformDistanceDEM